Scope Boxes - selecting/manipulating creating a list


#1

Hello - I’m looking at generating a list of Scope Boxes in a project and programmatically manipulating specific Scope Boxes.

I could not find any information on this.

Anybody can suggest anything on this subject?

Thanks!


#2

I don’t think there’s built-in functionality for this. You would need to code that yourself with a Python node.


#3

Hi

I’m just looking at the same thing. I try to find some methods or properties in the Revit API I can use, but until now I haven’t found anything.

You can get the edge curves of with the Element.Geometry node, and from there you can get some information. I have made a simple definition which finds the orientation and center point based on these curves, but I relies on that the order and direction of the curves are the same for each scope box, which I do not know if it’s the case. I does seem to work for the scope boxes I tried until now. The definition only accepts one scope box at the time for now…

I don’t know how to manipulate the scope boxes, apart from using the ElementTransformUtils methods in the API like move and rotate.

ScopeBox.Query 141219-090940


#4

And, you can have a look at this article for some more information:


#5

@ Andreas - thanks for reply. Python is fine, I’ll look into.

@ Thomas - thanks for posting. I’ll look at the Dynamo file and see what can be improved/moved forward.

As for Jeremy Tammik’s blog, I’m reading that in a daily basis - thanks for the link though!